package org.jeecg.modules.ctop.controller;

import org.jeecg.modules.ctop.service.ICrawlerService;
import org.jeecg.modules.ctop.vo.KuaishouAppiumJobVO;
import org.jeecg.modules.fegin.LogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("appium/crawler")
public class CrawlerController {
    @Autowired
    private ICrawlerService crawlerService;
    @Autowired
    private LogService logService;

    @PostMapping("startJob")
    public Map<String, Object> runTask(@RequestBody KuaishouAppiumJobVO jobVO) {
        return crawlerService.startJob(jobVO);
    }

    @GetMapping("log")
    public String home(String name) {
        return logService.home(name);
    }
}
